SWFMovie->nextFrame
SWFMovie->remove
SWFMovie
PHP Manual

# SWFMovie->output

(No version information available, might be only in CVS)

SWFMovie->output — Dumps your lovingly prepared movie out

### Description

SWFMovie
int output ([ int `$compression` ] )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Dumps the SWFMovie.

Don't forget to send the Content-Type HTTP header file before using this function, in order to display the movie in a browser.

### Parameters

`compression`

  The compression level can be a value between 0 and 9, defining the SWF compression similar to gzip compression.

  This parameter is only available as of Flash MX (6).

### Return Values

Return the number of bytes written or `FALSE` on error.

### Examples

Example #1 Displaying your $movie in a browser

`<?php
header('Content-type: application/x-shockwave-flash');
$movie->output();
?>`

### See Also

- SWFMovie->save
- SWFMovie->saveToFile

SWFMovie->nextFrame
SWFMovie->remove
SWFMovie
PHP Manual